#include<bits/stdc++.h>

using namespace std;

vector<int> happy(int n,int q,vector<int> u,vector<int> v,vector<int> h,vector<int> t,vector<int> l,vector<int> r) {
    for(int i=0;i<n;i++) {
        for(int j=0;j<q;j++) {

        }
    }
    return u;
}
